GPG error

domingo, 1 de novembro de 2009

Olá.

Dica rápida; se após um aptitude update, se deparar com esse 'erro', basta atualizar a chave do repositório em questão.

Exemplo:

aptitude update

...
W: GPG error: http://ppa.launchpad.net jaunty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 6E871C4A881574DE
W: You may want to run apt-get update to correct these problems


Solução:

Execute o comando, usando a chave com 'erro':

gpg --keyserver pgpkeys.mit.edu --recv-key 6E871C4A881574DE

Execute o comando, usando a chave com 'erro':

gpg -a --export 6E871C4A881574DE | sudo apt-key add -

Após, basta atualizar novamente:

aptitude update

E não haverá mais o pseudo-erro.

...
Fetched 308B in 11s (26B/s)                                                                                                                                                                                   Reading package lists... Done


Lembrando que é preciso substituir as chaves, por aquele corresponde ao repositório (grifado em vermelho).

Referência: en.kioskea.net

1 comentários:

vampire_thunder disse...

Tem essa dica aqui para manter as chaves sempre atualizadas:
http://www.jeananami.com/blog/2009/06/08/mantenha-as-chaves-gpg-do-launchpad-sempre-actualizadas/

Com ela, sempre que inserir um repositório PPA, o sistema irá baixar a chave automaticamente.
Já no KK, é automático. Basta digitar o comando "sudo add-apt-repository ppa:nome/do/repositório".

Ambas as dicas só funcionam com os repositórios Launchpad.